<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
	
		<table border="0" cellspacing="0" cellpadding="0" height="100%">
			<tr><xsl:apply-templates select="MENU-ITEM"  mode="top"/></tr>
		</table>
  
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<table border="0" cellspacing="0" cellpadding="0" width="191" style="margin:10px 13px 20px 14px;" align="center">
			<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
		</table>	

	</xsl:template> 
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	    <xsl:choose>
    	    <!-- when vizited inside-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td class="menucell3active">
				    <a href="{@HREF}">
						<img src="images/bullet.gif" border="0" width="4" height="7" alt="" align="absmiddle" class="menubullet3" />				            
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				    </a>
				</td>
            </xsl:when>
	        <!-- when active-->
    	    <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td class="menucell3active">
					<img src="images/bullet.gif" border="0" width="4" height="7" alt="" align="absmiddle" class="menubullet3" />				            				    
				    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
            </xsl:when>
            <xsl:otherwise>
				<td class="menucell3">
				    <a href="{@HREF}">	
						<img src="images/bullet.gif" border="0" width="4" height="7" alt="" align="absmiddle" class="menubullet3" />				            			            
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				    </a>
				</td>
            </xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<xsl:template match="MENU-ITEM" mode="sub">
       <xsl:choose>
               <xsl:when test="@ID=/LAYOUT/@ID" >
           		<tr>
        				<td height="25" class="submenu">
                   		<img src="images/mark.gif" border="0" width="5" height="5" alt="" align="absmiddle" style="margin-right:5px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
       				</td>
       			</tr>
   				<xsl:if test="position()!=last()">
       	    		<tr>
           				<td align="right">
           					<img src="images/line.gif" border="0" width="181" height="1" alt="" />
           				</td>
               		</tr>
   				</xsl:if>
               </xsl:when>
               <xsl:otherwise>
   				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
               		<tr>
            				<td height="25" class="submenu">
   						<a class="menucell1activelink" href="{@HREF}"><img src="images/mark.gif" border="0" width="5" height="5" alt="" align="absmiddle" style="margin-right:5px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
           				</td>
           			</tr>
       				<xsl:if test="position()!=last()">
           	    		<tr>
               				<td align="right">
               					<img src="images/line.gif" border="0" width="181" height="1" alt="" />
               				</td>
                   		</tr>
       				</xsl:if>
   				</xsl:if>
               </xsl:otherwise>
       </xsl:choose>
	</xsl:template>

</xsl:stylesheet>
