<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;background-image:url(images/topenergy_07.gif)">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg" style="background-image:url(images/topenergy_07.gif) " >
 
  <tr>
    <td height="71" background="images/eug-04_02.gif" style="padding-left:20px">
		  <table  border="0" cellpadding="0" cellspacing="0">
              <tr> <xsl:call-template name="TOP-MENU"/> </tr>
          </table>
	</td>
  </tr>
  <tr>
    <td valign="top"  background="images/EUG-04_12.gif">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="242" style="padding-left:30px;background-image:url(images/EUG-04_14.gif); background-position: right; background-repeat:no-repeat  "  >
				<table width="250"  border="0" align="left" cellpadding="0" cellspacing="0">
                    <tr>
                      <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
                    </tr>
                    <tr>
                      <td align="center" class="company" style="padding:5 "><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                    </tr>
                    <tr>
                      <td align="center" class="slogan" style="padding:5 "><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
                    </tr>
                </table>
				<div style="width:278px;height:1px;"></div>
			</td>
          <td  width="100%" align="right"><img src="images/header.jpg"/></td>
        </tr>
    </table>
	</td>
  </tr>
  <tr>
    <td height="4" bgcolor="#FFFFFF"></td>
  </tr>
  <tr >
    <td height="100%" valign="top"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top">
		<table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr>
              <td height="269" valign="top"  bgcolor="#FFFFFF"  style="padding:50px 0 50px 50px;"><br/>
			  <table width="150"  border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
              </table><br/></td>
              </tr>
        </table>
		</td>
        <td align="left" valign="top"><img src="images/sm_right.gif" width="100" height="269"/></td>
        <td  width="100%" valign="top" ><div style="height:20 "><span></span></div>
            <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
              <tr>
                <td width="100%" align="left" valign="top">
				<table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td  style="padding:5 "><img src="images/eug-04_19.gif" alt="" width="36" height="24" border="0"/></td>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </td>
                    </tr>
                  </table>
                    <br/>
                    <table border="0" cellspacing="0" cellpadding="0" width="100%">
                      <tr>
                        <td class="pageContent" name="SB_stretch" width="100%" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                      </tr>
                  </table>
				  </td>
                <td align="left" valign="top" ><div style="width:20 "><span></span></div></td>
              </tr>
          </table></td>
      </tr>
    </table></td>
  </tr>
  <tr >
    <td height="30"></td>
  </tr>
  <tr>
	<td height="66"  valign="middle" bgcolor="#838383" style="padding:10 " class="footer">
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>	
	</td>
  </tr>
</table>
</center>
</body>

<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td class="iconleft"><img src="images/eug-04_22.gif" width="4" height="5"/></td>
<td class="asubmenu" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td class="iconleft"><img src="images/eug-04_22.gif" width="4" height="5"/></td>
<td class="submenu" ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td ></td>
<td ><div style="height:10px; "><span></span></div></td>
</tr>

<tr>
<td ></td>
<td ><div style="height:1px; background-color: #D5D5D5; background-repeat: repeat-x;"><span></span></div></td>
</tr>
<tr>
<td ></td>
<td ><div style="height:10px;"><span></span></div></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

           </xsl:when>
           <xsl:otherwise>


	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
