<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="menuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    	        <xsl:if test="position()!=last()">
	            	<td class="menudivider2" style="background-image: url('images/mark.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:6px; height:0px;"><spacer/></div></td>
        	    </xsl:if>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="menuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    	        <xsl:if test="position()!=last()">
	            	<td class="menudivider2" style="background-image: url('images/mark.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:6px; height:0px;"><spacer/></div></td>
        	    </xsl:if>
            </xsl:when>
            <xsl:otherwise>
            	<td class="menuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    	        <xsl:if test="position()!=last()">
	            	<td class="menudivider2" style="background-image: url('images/mark.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:6px; height:0px;"><spacer/></div></td>
        	    </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
            	<tr>
            	<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            	<td class="secondmenumark"><img src="images/2ndmenu_mark.gif" width="14" height="15" border="0" alt=""/></td>
            	</tr>
            	<tr><td colspan="2" class="second-divider"></td></tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                	<tr>
                	<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                	<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="14" height="15" border="0" alt=""/></a></td>
                	</tr>
                	<tr><td colspan="2" class="second-divider"></td></tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
